org.apache.lucene.search.similar

## Class MoreLikeThisQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.similar.MoreLikeThisQuery

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class MoreLikeThisQuery
      extends Query

  A simple wrapper for MoreLikeThis for use in scenarios where a Query object is required eg in custom QueryParser extensions. At query.rewrite() time the reader is used to construct the actual MoreLikeThis object and obtain the real Query object.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MoreLikeThisQuery(java.lang.String likeText, java.lang.String[] moreLikeFields, Analyzer analyzer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Analyzer` | `getAnalyzer()`
    `java.lang.String` | `getLikeText()`
    `int` | `getMaxQueryTerms()`
    `int` | `getMinDocFreq()`
    `int` | `getMinTermFrequency()`
    `java.lang.String[]` | `getMoreLikeFields()`
    `float` | `getPercentTermsToMatch()`
    `java.util.Set` | `getStopWords()`
    `Query` | `rewrite(IndexReader reader)` Expert: called to re-write queries into primitive queries.
    `void` | `setAnalyzer(Analyzer analyzer)`
    `void` | `setLikeText(java.lang.String likeText)`
    `void` | `setMaxQueryTerms(int maxQueryTerms)`
    `void` | `setMinDocFreq(int minDocFreq)`
    `void` | `setMinTermFrequency(int minTermFrequency)`
    `void` | `setMoreLikeFields(java.lang.String[] moreLikeFields)`
    `void` | `setPercentTermsToMatch(float percentTermsToMatch)`
    `void` | `setStopWords(java.util.Set stopWords)`
    `java.lang.String` | `toString(java.lang.String field)` Prints a query to a string, with `field` assumed to be the default field and omitted.

    - ### Methods inherited from class org.apache.lucene.search.Query

      `clone, combine, createWeight, equals, extractTerms, getBoost, getSimilarity, hashCode, mergeBooleanQueries, setBoost, toString, weight`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MoreLikeThisQuery

          public MoreLikeThisQuery(java.lang.String likeText,
                                   java.lang.String[] moreLikeFields,
                                   Analyzer analyzer)

      Parameters:
        `moreLikeFields` -

  - ### Method Detail

    - #### rewrite

          public Query rewrite(IndexReader reader)
                        throws java.io.IOException

      Description copied from class: `Query`
      Expert: called to re-write queries into primitive queries. For example, a PrefixQuery will be rewritten into a BooleanQuery that consists of TermQuerys.
      Overrides:
        `rewrite` in class `Query`
      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString(java.lang.String field)

      Description copied from class: `Query`
      Prints a query to a string, with `field` assumed to be the default field and omitted.

      The representation used is one that is supposed to be readable by `QueryParser`. However, there are the following limitations:

      - If the query was created by the parser, the printed representation may not be exactly what was parsed. For example, characters that need to be escaped will be represented without the required backslash.
      - Some of the more complicated queries (e.g. span queries) don't have a representation that can be parsed by QueryParser.
      Specified by:
        `toString` in class `Query`

    - #### getPercentTermsToMatch

          public float getPercentTermsToMatch()

    - #### setPercentTermsToMatch

          public void setPercentTermsToMatch(float percentTermsToMatch)

    - #### getAnalyzer

          public Analyzer getAnalyzer()

    - #### setAnalyzer

          public void setAnalyzer(Analyzer analyzer)

    - #### getLikeText

          public java.lang.String getLikeText()

    - #### setLikeText

          public void setLikeText(java.lang.String likeText)

    - #### getMaxQueryTerms

          public int getMaxQueryTerms()

    - #### setMaxQueryTerms

          public void setMaxQueryTerms(int maxQueryTerms)

    - #### getMinTermFrequency

          public int getMinTermFrequency()

    - #### setMinTermFrequency

          public void setMinTermFrequency(int minTermFrequency)

    - #### getMoreLikeFields

          public java.lang.String[] getMoreLikeFields()

    - #### setMoreLikeFields

          public void setMoreLikeFields(java.lang.String[] moreLikeFields)

    - #### getStopWords

          public java.util.Set getStopWords()

    - #### setStopWords

          public void setStopWords(java.util.Set stopWords)

    - #### getMinDocFreq

          public int getMinDocFreq()

    - #### setMinDocFreq

          public void setMinDocFreq(int minDocFreq)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.